<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number107</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.107:</b> Write a JavaScript program to find the number of sorted pairs formed by its elements of an given array of integers such that one element in the pair is divisible by the other one.<br>
    For example - The output of [1, 3, 2] --- 2 - (1,3), (1,2). <br>
    The output of [2, 4, 6] --- 2 - (2,4), (2,6) <br>
    The output of [2, 4, 16] --- 3 - (2,4), (2,16), (4,16)
	</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 450px; height: auto;">
	  <input type="number" id="num1" placeholder="Enter the Number of Array`s Element" style="width: 240px ;margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	<script>
	  function generate() {
		  var num = + document.getElementById('num1').value;
		  var arr = [];
		  for (i=0 ; i<num ; i++){
			  arr.push(prompt("Enter Element Number" + (i+1)));
			  arr.map(Number);
		  }
			  var result = 0 ;
			  for (i = 0 ; i < arr.length ; i++){
				  for(j = i+1 ; j < arr.length ; j++){
					  if(arr[i] % arr[j] == 0 || arr[j] % arr[i] == 0) {
						  result++;
					  }
				  }
			  }
			  document.getElementById('demo').innerHTML=
		     "The Array you inserted is:<br>[ " + arr.join(' , ') + " ]<br>" +
				  "Number of pairs that divisible by the other one is:<br>" + result;			  
		  }
	</script>	
</body>
</html>
